- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Slots | Public Member Functions | Protected Member Functions

# QAbstractNetworkCache Class Reference

Search for all occurrences

## Detailed Description

Definition at line 109 of file qabstractnetworkcache.h.

`#include <qabstractnetworkcache.h>`

Inheritance diagram for QAbstractNetworkCache:
[legend]

List of all members.

## Public Slots
virtual void | clear ()=0
## Public Member Functions
virtual | ~QAbstractNetworkCache ()
virtual QNetworkCacheMetaData | metaData (const QUrl &url)=0
virtual void | updateMetaData (const QNetworkCacheMetaData &metaData)=0
virtual QIODevice * | data (const QUrl &url)=0
virtual bool | remove (const QUrl &url)=0
virtual qint64 | cacheSize () const =0
virtual QIODevice * | prepare (const QNetworkCacheMetaData &metaData)=0
virtual void | insert (QIODevice *device)=0
## Protected Member Functions
| QAbstractNetworkCache (QObject *parent=0)
| QAbstractNetworkCache (QAbstractNetworkCachePrivate &dd, QObject *parent)

## Constructor & Destructor Documentation

virtual ~QAbstractNetworkCache | ( |  | ) | `[virtual]`

QAbstractNetworkCache | ( | QObject * | parent = `0` | ) | `[explicit, protected]`

QAbstractNetworkCache | ( | QAbstractNetworkCachePrivate & | dd,
|  | QObject * | parent
| ) |  | `[protected]`

## Member Function Documentation

virtual QNetworkCacheMetaData metaData | ( | const QUrl & | url | ) | `[pure virtual]`

Search for all occurrences

Implemented in QNetworkDiskCache.

virtual void updateMetaData | ( | const QNetworkCacheMetaData & | metaData | ) | `[pure virtual]`

Search for all occurrences

Implemented in QNetworkDiskCache.

virtual QIODevice* data | ( | const QUrl & | url | ) | `[pure virtual]`

Search for all occurrences

Implemented in QNetworkDiskCache.

virtual bool remove | ( | const QUrl & | url | ) | `[pure virtual]`

Search for all occurrences

Implemented in QNetworkDiskCache.

virtual qint64 cacheSize | ( |  | ) | const `[pure virtual]`

Search for all occurrences

Implemented in QNetworkDiskCache.

virtual QIODevice* prepare | ( | const QNetworkCacheMetaData & | metaData | ) | `[pure virtual]`

Search for all occurrences

Implemented in QNetworkDiskCache.

virtual void insert | ( | QIODevice * | device | ) | `[pure virtual]`

Search for all occurrences

Implemented in QNetworkDiskCache.

virtual void clear | ( |  | ) | `[pure virtual, slot]`

Search for all occurrences

Implemented in QNetworkDiskCache.

The documentation for this class was generated from the following file:

- QtNetwork/qabstractnetworkcache.h

QAbstractNetworkCache QAbstractNetworkCache QAbstractNetworkCache QAbstractNetworkCache QAbstractNetworkCache QAbstractNetworkCache QAbstractNetworkCache QAbstractNetworkCache QAbstractNetworkCache QAbstractNetworkCache
QAbstractNetworkCache QAbstractNetworkCache QAbstractNetworkCache QAbstractNetworkCache QAbstractNetworkCache QAbstractNetworkCache QAbstractNetworkCache QAbstractNetworkCache QAbstractNetworkCache QAbstractNetworkCache